Subject: [bug#56534] [videolang/video] #lang video on Guix OS (Issue #67)

From: Ludovic Courtès <[email-masked]>
Date: Mon, 09 Oct 2023 15:34:15 +0200

Hello Philip and all,

"Philip McGrath" <[email-masked]> skribis:

> I'm cross-posting this to both <https://issues.guix.gnu.org/56534> and <https://github.com/videolang/video/issues/67>.
>
> I've been working for some time toward making a Guix build system and importer for Racket packages: I'm optimistic that I may get something working between the Racket 8.6 and 8.7 releases.
>
> For now, I would suggest not adding `portaudio` and `ffmpeg` as inputs to the main `racket` package. Instead, if you want to get something working for now, I would suggest adding a new package `racket-with-video` that extends the `racket` package in the same way that `racket` extends `racket-minimal`. I'd expect it would go somewhat like this

It’s been a while.  Should one of you add the ‘racket-with-video’
package you proposed?  WDYT?

Thanks,
Ludo’.